picard.util

## Class ScatterIntervalsByNs

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.util.ScatterIntervalsByNs

-     public class ScatterIntervalsByNs
      extends CommandLineProgram

  A CLP for breaking up a reference into intervals of Ns and ACGTs bases. Used for creating a broken-up interval list for calling WGS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `MAX_TO_MERGE`
    `File` | `OUTPUT`
    `picard.util.ScatterIntervalsByNs.OutputType` | `OUTPUT_TYPE`
    `File` | `REFERENCE`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScatterIntervalsByNs()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REFERENCE

          @Option(shortName="R",
                  doc="Reference sequence to use.")
          public File REFERENCE

    - #### OUTPUT

          @Option(shortName="O",
                  doc="Output file for interval list.")
          public File OUTPUT

    - #### OUTPUT_TYPE

          @Option(shortName="OT",
                  doc="Type of intervals to output.",
                  optional=true)
          public picard.util.ScatterIntervalsByNs.OutputType OUTPUT_TYPE

    - #### MAX_TO_MERGE

          @Option(shortName="N",
                  doc="Maximal number of contiguous N bases to tolerate, thereby continuing the current ACGT interval.",
                  optional=true)
          public int MAX_TO_MERGE

  - ### Constructor Detail

    - #### ScatterIntervalsByNs

          public ScatterIntervalsByNs()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.